0

My Phone is SonyErcisson Xperia Ray ST18i

I have Super Jelly Bean http://forum.xda-developers.com/showthread.php?t=2135918 ROM installed, with kernel (from Status after I tried installing KK) 2.6.32.0-SuperFusioN-kk

I tried to install KitKat AORP http://forum.xda-developers.com/showthread.php?t=2579054

I flashed boot.img from KitKat from zip, When I tried to install KitKat ROM from recovery, I got this message:

this package is for "ST18i,ST18a,urushi" devices; this is a "haida"

  • The Urushi is the codename for the Xperia Ray ST18i and ST18a, the Haida is the code name for the Sony Xperia neo V – MT11i, MT11a. It makes no sense that it would display the wrong phone model at this stage. Was the boot image the correct one for the Ray? Have you changed anything else that could cause this mismatch? Have you tried re-downloading the ROM and boot and starting from scratch? This seems to be the installer script detecting a different model of phone and I dont' know where it gets that data. Anyone know? – RossC Jan 29 '14 at 9:34
1

The reason for the error is, you have downloaded the wrong package. The downloaded package is not compatible for ray.

To download the original package and detailed installation tutorial, read my article given below:

How To Install KitKat 4.4.2 On Sony Xperia Ray

Hope this helps.

0

Try to install Xperia Ray patch from http://www.androidizer.com/update-sony-xperia-ray-to-jelly-bean-4-1-2-latest-rom-version-8-0/

after doing it, flash boot.img. i recomend this nightly Cyanogenmod 11 for xperia Ray: http://legacyxperia.basketbuild.com/index.php?dir=main/urushi/cm-11.0/nightlies/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.